# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate rustls-native-certs

Name:           rust-%{crate}
Version:        0.5.0
Release:        4%{?dist}
Summary:        Allow rustls to use the platform native certificate store

# Upstream license specification: Apache-2.0/ISC/MIT
License:        ASL 2.0 or ISC or MIT
URL:            https://crates.io/crates/rustls-native-certs
Source:         %{crates_source}
# Initial patched metadata
# * drop windows- and mac OS-specific dependencies
Patch0:         rustls-native-certs-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
# ring is not available on ppc64le and s390x
ExcludeArch:    ppc64le s390x
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rustls-native-certs allows rustls to use the platform native certificate store.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE LICENSE-APACHE LICENSE-ISC LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/{admin/,integration-tests/}

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages
which use "rustls" feature of "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that require internet connectivity
%cargo_test -- -- \
    --skip amazon \
    --skip apple \
    --skip ebay \
    --skip facebook \
    --skip google \
    --skip netflix
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial package
